# ==============================================================================
# | main.py                                                                    |
# |                                                                            |
# |                                                                            |
# |                                                                            |
# | Entry point                                                                |
# ==============================================================================
from PyQt5  import QtWidgets, QtCore, uic
import sys

from model  import TransactionTableModel



# ------------------------------------------------------------------------------
# | Subclassed UI from QT Designer file                                        |
# |                                                                            |
# |                                                                            |
# ------------------------------------------------------------------------------
base, form = uic.loadUiType('win.ui')
class Reg(base, form):

    def __init__(self, parent=None):
        super(base, self).__init__(parent)
        self.setupUi(self)
        self.View.setModel(TransactionTableModel())

    def closeEvent(self, event):
        pass


# ------------------------------------------------------------------------------
# ------------------------------------------------------------------------------
# ------------------------------------------------------------------------------
if __name__ == '__main__':

    app = QtWidgets.QApplication(sys.argv)
    print('Created QApplication')

    app.win = Reg()
    app.win.show()
    sys.exit(app.exec_())
