# ==============================================================================
# | model.py                                                                   |
# |                                                                            |
# |                                                                            |
# |                                                                            |
# | Transaction data model                                                     |
# ==============================================================================
# PyQt
from PyQt5          import QtCore, QtGui
from PyQt5.QtCore   import Qt



# ------------------------------------------------------------------------------
# | TransactionTableModel -- subclassed QAbstractTableModel                    |
# |                                                                            |
# |                                                                            |
# ------------------------------------------------------------------------------
class TransactionTableModel(QtCore.QAbstractTableModel):

    def __init__(self, parent=None):
        QtCore.QAbstractTableModel.__init__(self, parent)
        print('Created Transaction Table Model')

    def rowCount(self, parent=QtCore.QModelIndex(), **kwargs):
        return 4

    def columnCount(self, parent=QtCore.QModelIndex(), **kwargs):
        return 3

    def data(self, index, role):
        if role == Qt.DisplayRole:
            return 'foo'

    def flags(self, index):
        return Qt.ItemIsEnabled
